%define name         tcpflow
%define version 0.21
%define release 2mdk

Summary: Network traffic recorder
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Networking/Other
Source:  http://www.circlemud.org/pub/jelson/tcpflow/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://www.circlemud.org/~jelson/software/tcpflow/
# autoconf required to rebuild the ./configure, which seems outdated.
BuildRequires: libpcap-devel autoconf

%description
tcpflow is a program that captures data transmitted as part of TCP 
connections (flows), and stores the data in a way that is convenient
for protocol analysis or debugging.
A program like 'tcpdump' shows a summary of packets seen on the wire,
but usually doesn't store the data that's actually being transmitted.
In contrast, tcpflow reconstructs the actual data streams and stores
each flow in a separate file for later analysis.

%prep
%setup -q -n %{name}-%{version}
chmod -x COPYING
%build

# some problem with ./configure, so we must rerun autoconf
# in order to create a new configure script.
autoconf
%configure 
%make


%install
rm -Rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root,755)

%doc AUTHORS COPYING ChangeLog NEWS README INSTALL
%{_bindir}/*
%{_mandir}/man*/*

%changelog
* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 0.21-2mdk
- rebuilt against new libpcap-0.9.1 (aka. a "play safe" rebuild)

* Sun Apr 18 2004 Michael Scherer <misc@mandrake.org> 0.21-1mdk
- New release 0.21
- rpmbuildupdate aware

* Mon Feb 10 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.20-1mdk
- from Michael Scherer <scherer.michael@free.fr> :
	- Adaptation for Mandrake

* Thu Apr 22 1999 Ross Golder <rossigee@bigfoot.com>
- Wrote for version 0.12

